services:
  web:
    image: reg.siane.kr/apache-php:8.2.7
    #container_name: web
    restart: always
    depends_on:
      - db
    environment:
      PUID: ${PUID}
      PGID: ${PGID}
      TZ: ${TZ}
    volumes:
      - ./web/html:/var/www/html
      - ./web/conf.d/www-default.ini:/usr/local/etc/php/conf.d/www-default.ini
    ports:
      - 80:80

  db:
    image: mariadb:10.6.5
    #container_name: mariadb
    restart: unless-stopped
    #ports:
    #  - 3306:3306
    volumes:
      - ./db/mysql:/var/lib/mysql
      - ./db/conf.d:/etc/mysql/conf.d:ro
      - ./db/backup:/backup
      - ./db/log:/var/log/maria
    environment:
      TZ: ${TZ}
      ALLOW_EMPTY_PASSWORD: "no"
      MYSQL_ROOT_PASSWORD: ${DBROOTPW}
      MYSQL_DATABASE: ${DBNAME}
      MYSQL_USER: ${DBUSER}
      MYSQL_PASSWORD: ${DBPW}

